### Method

# GLib DateTime add_days

since: 2.26

#### Declaration

    GDateTime*
    g_date_time_add_days (
      GDateTime* datetime,
      gint days
    )

#### Description

Creates a copy of `datetime` and adds the specified number of days to the copy. Add negative values to subtract days.

Available since: 2.26

#### Parameters

`days`

  Type: `gint`

  The number of days.

#### Return value

Type: `GDateTime`

The newly created `GDateTime` which should be freed with g_date_time_unref(), or `NULL`.

The caller of the method takes ownership of the data, and is responsible for freeing it.
The return value can be `NULL`.